Membro del team
GET https://pushye.com/api/teams-member/
curl --request GET \
--url 'https://pushye.com/api/teams-member/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/teams-member/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Dettagli | Descrizione |
|---|---|---|
| search | Facoltativo String | La stringa di ricerca. |
| search_by | Facoltativo String | Quale campo stai cercando. I valori consentiti sono: name. |
| order_by | Facoltativo String | In quale campo ordinare i risultati. I valori consentiti sono: team_member_id , datetime , last_datetime. |
| order_type | Facoltativo String | L'ordinamento dei risultati. I valori consentiti sono: ASC per ordinamento crescente e DESC per ordinamento decrescente. |
| page | Facoltativo Intero | Il numero di pagina da cui desideri i risultati. Predefinito a 1. |
| results_per_page | Facoltativo Intero | Quanti risultati vuoi per pagina. I valori consentiti sono: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Predefinito è 25. |
{
"data": [
{
"id": 1,
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"last_datetime": null,
"datetime": "2026-03-13 23:00:52",
"team_id": 1,
"name": "Example team"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://pushye.com/api/teams-member?page=1",
"last": "https://pushye.com/api/teams-member?page=1",
"next": null,
"prev": null,
"self": "https://pushye.com/api/teams-member?page=1"
}
}
GET https://pushye.com/api/teams-member/{team_member_id}
curl --request GET \
--url 'https://pushye.com/api/teams-member/{team_member_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/teams-member/{team_member_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"last_datetime": null,
"datetime": "2026-03-13 23:00:52",
"team_id": 1,
"name": "Example team"
}
}
POST https://pushye.com/api/teams-member/{team_member_id}
| Parametri | Dettagli | Descrizione |
|---|---|---|
| status | Facoltativo Boolean | - |
curl --request POST \
--url 'https://pushye.com/api/teams-member/{team_member_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'status=1' \
--url 'https://pushye.com/api/teams-member/{team_member_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'status=1' \
{
"data": {
"id": 1
}
}
DELETE https://pushye.com/api/teams-member/{team_member_id}
curl --request DELETE \
--url 'https://pushye.com/api/teams-member/{team_member_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pushye.com/api/teams-member/{team_member_id}' \
--header 'Authorization: Bearer {api_key}' \